package cn.ysk.cashier.service;

import cn.ysk.cashier.dto.BindingDto;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import java.util.Map;

/**
 * 开票服务员
 */
public interface BindService {

    /**
     * 绑定
     */
    JSONObject binding(Map<String, Object> params);

    /**
     * 商家提交开票信息
     */
    JSONObject subInvoicing(Map<String, Object> params);

    /**
     * 项目分类
     */
    JSONObject industry(BindingDto bindingDto);


    /**
     * 计算税额
     */
    JSONObject storeSe(Map<String, Object> params);

    /**
     * 数电发票类型
     */
    JSONArray digitalInvoice();



}
